devguard
PoliciesId

Update a policy by id.

PATCH
/policies/{id}/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/policies/string/" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "title": "string",  "slug": "string",  "order": -9007199254740991,  "categoryId": "string",  "organizationId": "string",  "approverId": "string",  "status": "DRAFT",  "content": null,  "currentVersion": "string",  "lastApprovedAt": "string",  "lastApprovedBy": "string",  "createdAt": "string",  "updatedAt": "string",  "archivedAt": "string"}

How is this guide?